Sent LTC to an old Electrum-LTC wallet.. need help

This page summarizes the projects mentioned and recommended in the original post on reddit.com/r/litecoin

Our great sponsors
  • Scout APM - Less time debugging, more time building
  • SonarLint - Deliver Cleaner and Safer Code - Right in Your IDE of Choice!
  • OPS - Build and Run Open Source Unikernels
  • GitHub repo electrum-ltc

    Electrum-LTC Litecoin wallet

    I googled, turned out my desktop wallet needed updated as it was version 2.8.3.5 and electrum-ltc.org has a message (from 2019, yes, I just been a'hodlin') saying: "Versions of Electrum-LTC older than 3.3.3 are vulnerable to a phishing attack, where malicious servers are able to display a message asking users to download a fake version of Electrum. To prevent user exposure, versions older than 3.3 can no longer connect to public servers, and must be upgraded."

NOTE: The number of mentions on this list indicates mentions on common posts plus user suggested alternatives. Hence, a higher number means a more popular project.

Suggest a related project

Related posts